CoCoA-5 - Design #307

Value::from makes BigintValue::fromint obsolete?
12 Feb 2013 12:06 - Anna Maria Bigatti

Status: Closed Start date: 12 Feb 2013
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done: 100%
Category: Parser/Interpreter Estimated time: 1.00 hour
Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.50 hour
Description

In BuiltinFunctions there are some calls like BigIintValue::fromint, BoolValue::fromBool (others?).

But in other similar situations we have just Value::from: | think there used to be a problem with integers, but it that fully solved now?
Can we just replace all calls?
If not, when not?

History

#1 - 01 Aug 2013 07:20 - Anna Maria Bigatti
- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14

#2 - 09 Apr 2014 17:31 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#3 - 02 Sep 2014 08:40 - Anna Maria Bigatti
- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

- Estimated time set to 1.00 h

| seems it is all done now.
The only call of fromBool is in Value::from.

#4 - 05 Sep 2014 11:43 - Anna Maria Bigatti
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
